typedef struct Universe Universe;
typedef struct UserInfo UserInfo;

typedef struct Realm {
  char name[32];
  ushort max;
  uvlong password;
  Universe* universe;
} Realm;

Realm* create_realm(char* name);
Realm* parse_realm(char* name);
Realm* find_realm(UserInfo** table, char* name);
void save_realm(Realm* self);
void destroy_realm(Realm* self);
